LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XScaling Interface Reference

`import"XScaling.idl";`

Inheritance diagram for XScaling:

## Public Member Functions
double | doScaling ([in] double value)
| Given a numeric value, return the scaled value that conforms to a predefined scaling rule. More...
com::sun::star::chart2::XScaling | getInverseScaling ()
| Get an interface object that conforms to a scaling rule that is the reverse of the original scaling rule. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Member Function Documentation

## ◆ doScaling()

double doScaling | ( | [in] double | value | ) |

Given a numeric value, return the scaled value that conforms to a predefined scaling rule.

For instance, for linear scaling, given a x value, the method may return a y value as defined by y = Ax + B for predefined values of A and B.

Parameters

  value | input value from which to calculate the scaled value.

Returns
  scaled value based on a predefined scaling rule.

## ◆ getInverseScaling()

com::sun::star::chart2::XScaling getInverseScaling | ( |  | ) |

Get an interface object that conforms to a scaling rule that is the reverse of the original scaling rule.

Returns
  interface object that represents the reversed scaling rule.

The documentation for this interface was generated from the following file:

- com/sun/star/chart2/XScaling.idl